## FMADataBoxed FMADataBoxed — The Data Factory Element Class Definition |

## Functions

#define | FMA_DATA_BOXED()
#define | FMA_IS_DATA_BOXED()
FMADataBoxed * | fma_data_boxed_new ()
const FMADataDef * | fma_data_boxed_get_data_def ()
GParamSpec * | fma_data_boxed_get_param_spec ()
gboolean | fma_data_boxed_are_equal ()
gboolean | fma_data_boxed_is_default ()
gboolean | fma_data_boxed_is_valid ()
void | fma_data_boxed_dump ()
void | fma_data_boxed_set_data_def ()
gchar * | fma_data_boxed_get_as_string ()
void * | fma_data_boxed_get_as_void ()
void | fma_data_boxed_get_as_value ()
void | fma_data_boxed_set_from_boxed ()
void | fma_data_boxed_set_from_string ()
void | fma_data_boxed_set_from_value ()
void | fma_data_boxed_set_from_void ()

## Types and Values

#define | FMA_TYPE_DATA_BOXED
| FMADataBoxed

## Includes

    #include <filemanager-actions/fma-data-boxed.h>

## Description

The object which encapsulates an elementary data of FMAIFactoryObject. A FMADataBoxed object has a type and a value.

FMADataBoxed class is derived from FMABoxed one, and implements the same types that those defined in fma-data-types.h.

Additionally, FMADataBoxed class holds the FMADataDef data definition suitable for a FMAFactoryObject object. It such provides default value and validity status.

## Functions

### FMA_DATA_BOXED()

    #define FMA_DATA_BOXED( object )           ( G_TYPE_CHECK_INSTANCE_CAST( object, FMA_TYPE_DATA_BOXED, FMADataBoxed ))

### FMA_IS_DATA_BOXED()

    #define FMA_IS_DATA_BOXED( object )        ( G_TYPE_CHECK_INSTANCE_TYPE( object, FMA_TYPE_DATA_BOXED ))

### fma_data_boxed_new ()

    FMADataBoxed *
    fma_data_boxed_new (const FMADataDef *def);

#### Parameters

def | the FMADataDef definition structure for this boxed. |

#### Returns

a newly allocated FMADataBoxed.

Since: 2.30

### fma_data_boxed_get_data_def ()

    const FMADataDef *
    fma_data_boxed_get_data_def (const FMADataBoxed *boxed);

#### Parameters

boxed | this FMADataBoxed object. |

#### Returns

a pointer to the FMADataDef structure attached to the object. Should never be `NULL`.

Since: 2.30

### fma_data_boxed_get_param_spec ()

    GParamSpec *
    fma_data_boxed_get_param_spec (const FMADataDef *def);

#### Parameters

def | a FMADataDef definition structure. |

#### Returns

a GParamSpec structure.

Since: 2.30

### fma_data_boxed_are_equal ()

    gboolean
    fma_data_boxed_are_equal (const FMADataBoxed *a,
                              const FMADataBoxed *b);

`fma_data_boxed_are_equal` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_are_equal()` instead.

#### Parameters

a | the first FMADataBoxed object. |
b | the second FMADataBoxed object. |

#### Returns

`TRUE` if the two boxeds are equal, `FALSE` else.

Since: 2.30

### fma_data_boxed_is_default ()

    gboolean
    fma_data_boxed_is_default (const FMADataBoxed *boxed);

#### Parameters

boxed | this FMADataBoxed object. |

#### Returns

`TRUE` if the FMADataBoxed holds its default value, `FALSE` else.

Since: 2.30

### fma_data_boxed_is_valid ()

    gboolean
    fma_data_boxed_is_valid (const FMADataBoxed *boxed);

#### Parameters

boxed | the FMADataBoxed object whose validity is to be checked. |

#### Returns

`TRUE` if the boxed is valid, `FALSE` else.

Since: 2.30

### fma_data_boxed_dump ()

    void
    fma_data_boxed_dump (const FMADataBoxed *boxed);

`fma_data_boxed_dump` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_dump()` instead.

Dump the content of `boxed` .

#### Parameters

boxed | this FMADataBoxed object. |

Since: 2.30

### fma_data_boxed_set_data_def ()

    void
    fma_data_boxed_set_data_def (FMADataBoxed *boxed,
                                 const FMADataDef *def);

Changes the FMADataDef a `boxed` points to. The new type must be the same that the previous one. The value is left unchanged.

#### Parameters

boxed | this FMADataBoxed object. |
def | the new FMADataDef to be set. |

Since: 2.30

### fma_data_boxed_get_as_string ()

    gchar *
    fma_data_boxed_get_as_string (const FMADataBoxed *boxed);

`fma_data_boxed_get_as_string` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_get_string()` instead.

#### Parameters

boxed | the FMADataBoxed whose value is to be set. |

#### Returns

the value of the `boxed` , as a newly allocated string which should be `g_free()` by the caller.

Since: 2.30

### fma_data_boxed_get_as_void ()

    void *
    fma_data_boxed_get_as_void (const FMADataBoxed *boxed);

`fma_data_boxed_get_as_void` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_get_as_void()` instead.

#### Parameters

boxed | the FMADataBoxed whose value is to be set. |

#### Returns

the content of the `boxed` .

If of type FMA_DATA_TYPE_STRING, FMA_DATA_TYPE_LOCALE_STRING OR FMA_DATA_TYPE_STRING_LIST, then the content is returned in a newly allocated value, which should be released by the caller.

Since: 2.30

### fma_data_boxed_get_as_value ()

    void
    fma_data_boxed_get_as_value (const FMADataBoxed *boxed,
                                 GValue *value);

`fma_data_boxed_get_as_value` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_get_as_value()` instead.

Setup `value` with the content of the `boxed` .

#### Parameters

boxed | the FMADataBoxed whose value is to be set. |
value | the string to be set. |

Since: 2.30

### fma_data_boxed_set_from_boxed ()

    void
    fma_data_boxed_set_from_boxed (FMADataBoxed *boxed,
                                   const FMADataBoxed *value);

`fma_data_boxed_set_from_boxed` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_set_from_boxed()` instead.

Copy value from `value` to `boxed` .

#### Parameters

boxed | the FMADataBoxed whose value is to be set. |
value | the source FMADataBoxed. |

Since: 2.30

### fma_data_boxed_set_from_string ()

    void
    fma_data_boxed_set_from_string (FMADataBoxed *boxed,
                                    const gchar *value);

`fma_data_boxed_set_from_string` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_set_from_string()` instead.

Evaluates the `value` and set it to the `boxed` .

#### Parameters

boxed | the FMADataBoxed whose value is to be set. |
value | the string to be set. |

Since: 2.30

### fma_data_boxed_set_from_value ()

    void
    fma_data_boxed_set_from_value (FMADataBoxed *boxed,
                                   const GValue *value);

`fma_data_boxed_set_from_value` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_set_from_value()` instead.

Evaluates the `value` and set it to the `boxed` .

#### Parameters

boxed | the FMADataBoxed whose value is to be set. |
value | the value whose content is to be got. |

Since: 2.30

### fma_data_boxed_set_from_void ()

    void
    fma_data_boxed_set_from_void (FMADataBoxed *boxed,
                                  const void *value);

`fma_data_boxed_set_from_void` has been deprecated since version 3.1 and should not be used in newly-written code.

Use `fma_boxed_set_from_void()` instead.

Evaluates the `value` and set it to the `boxed` .

#### Parameters

boxed | the FMADataBoxed whose value is to be set. |
value | the value whose content is to be got. |

Since: 2.30

## Types and Values

### FMA_TYPE_DATA_BOXED

    #define FMA_TYPE_DATA_BOXED                ( fma_data_boxed_get_type())

### FMADataBoxed

    typedef struct {
    } FMADataBoxed;